All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.sort
Interface SortSelectorInterface

All Superinterfaces:
  com.sas.util.SortDirectionInterface

All Known Implementing Classes:
  BaseSortSelectorAdapter, SortSelectorAdapter

    @SASScope(value="ALL")
    public interface SortSelectorInterface

extends com.sas.util.SortDirectionInterface

The SortSelectorInterface defines the basic methods required for the model of a SortSelector.

Field Summary

Fields inherited from interface com.sas.util.SortDirectionInterface
`ASCENDING, DESCENDING, NOT_SORTED`

Method Summary
`abstract java.lang.Object[]` | `getAllItems()` Returns the items in which sorting is allowed.
`abstract java.lang.Object[]` | `getAvailableItems()` Returns the items in which sorting is allowed.
`abstract java.lang.Object[]` | `getHiddenAvailableItems()` Returns the hidden items in which sorting is allowed.
`abstract int[]` | `getSortedDirections()` Returns an array of ints that indicate which direction each item in the sortItems array is to be sorted.
`abstract java.lang.Object[]` | `getSortedItems()` Returns the items that the table is to sort.
`abstract void` | `setSortedDirections(int[] directions)` Sets an array of ints that indicate which direction each item in the sortItems array is to be sorted.
`abstract void` | `setSortedItems(java.lang.Object[] itemNames)` Sets the items that the table is to sort.

Method Detail

### getAvailableItems

    java.lang.Object[] getAvailableItems()

  Returns the items in which sorting is allowed. The availableItems contains all the items in which sorting is allowed on the model, all other items are to be non-sortable.

  Returns:
    An array of items in which sorting is allowed.

### getHiddenAvailableItems

    java.lang.Object[] getHiddenAvailableItems()

  Returns the hidden items in which sorting is allowed. The hiddenAvailableItems contains all the hidden items in which sorting is allowed on the model, all other items are to be non-sortable.

  Returns:
    An array of items in which sorting is allowed.

### getAllItems

    java.lang.Object[] getAllItems()

  Returns the items in which sorting is allowed. The allItems contains all the items in which sorting is allowed on the model, all other items are to be non-sortable.

  Returns:
    An array of items in which sorting is allowed.

### getSortedItems

    java.lang.Object[] getSortedItems()

  Returns the items that the table is to sort. The length of the array can be from 0 to maxSortableItems.

  Returns:
    An array of objects that are the items on which the data is sorted.

### setSortedItems

    void setSortedItems(java.lang.Object[] itemNames)

  Sets the items that the table is to sort. The length of the array will be from 0 to maxSortableItems.

  Parameters:
    `itemNames` - an array of objects that are the items on which the data is sorted

### getSortedDirections

    int[] getSortedDirections()

  Returns an array of ints that indicate which direction each item in the sortItems array is to be sorted. The array will be the same size of the sortItems. Valid values are ASCENDING or DESCENDING.

  Returns:
    An array of ints that indicate which direction the sort items are to be sorted. Valid values are ASCENDING or DESCENDING.

### setSortedDirections

    void setSortedDirections(int[] directions)

  Sets an array of ints that indicate which direction each item in the sortItems array is to be sorted. The array will be the same size of the sortItems. Valid values are ASCENDING or DESCENDING.

  Parameters:
    `directions` - an array of ints that indicate which direction the sort items are to be sorted

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.